' CEmployee.vb
' Represent employee name, birthday and hire date.   
Class CEmployee
    Inherits Object

    Private mFirstName As String
    Private mLastName As String
    Private mBirthDate As CDay ' member object reference
    Private mHireDate As CDay ' member object reference

    ' CEmployee constructor
    Public Sub New(ByVal firstNameValue As String, _
             ByVal lastNameValue As String, _
             ByVal birthMonthValue As Integer, _
             ByVal birthDayValue As Integer, _
             ByVal birthYearValue As Integer, _
             ByVal hireMonthValue As Integer, _
             ByVal hireDayValue As Integer, _
             ByVal hireYearValue As Integer)

        mFirstName = firstNameValue
        mLastName = lastNameValue

        ' create CDay instance for employee birthday
        mBirthDate = New CDay(birthMonthValue, birthDayValue, _
            birthYearValue)
        ' create CDay instance for employee hire date
        mHireDate = New CDay(hireMonthValue, hireDayValue, _
           hireYearValue)
    End Sub ' New
    ' return employee information as standard-format String
    Public Function ToStandardString() As String
        Return mLastName & ", " & mFirstName & " Hired: " _
           & mHireDate.ToStandardString() & " Birthday: " & _
           mBirthDate.ToStandardString()
    End Function ' ToStandardString  
End Class ' CEmployee

